%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:			python-conf_d
Version:	0.0.4
Release:	2%{?dist}
Summary:	Read configuration files, conf.d style

Group:		Applications/System
License:	MIT
URL:			https://github.com/josegonzalez/python-conf_d
Source0:	https://github.com/josegonzalez/%{name}/archive/%{version}.tar.gz

BuildArch:			noarch
BuildRequires:	python2-devel

%description
A python library for reading configuration files.

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc CHANGES.rst LICENSE.txt README.rst
%{python2_sitelib}/conf_d
%{python2_sitelib}/conf_d-%{version}-py2.*.egg-info


%changelog
* Tue Nov 11 2014 Wesley Hearn <whearn@redhat.com> - 0.0.4-2
- Updated summary and description

* Mon Oct 27 2014 Wesley Hearn <whearn@redhat.com> - 0.0.4-1
- Initial package 
